跳转到主要内容
POST
https://api.aisa.one/apis/v1
/
dataforseo
/
ai_optimization
/
chat_gpt
/
llm_scraper
/
live
/
advanced
实时 ChatGPT LLM 抓取器
curl --request POST \
  --url https://api.aisa.one/apis/v1/dataforseo/ai_optimization/chat_gpt/llm_scraper/live/advanced \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "keyword": "<string>",
  "location_name": "<string>",
  "location_code": 123,
  "language_name": "<string>",
  "language_code": "<string>",
  "force_web_search": true,
  "tag": "<string>"
}
'
import requests

url = "https://api.aisa.one/apis/v1/dataforseo/ai_optimization/chat_gpt/llm_scraper/live/advanced"

payload = {
    "keyword": "<string>",
    "location_name": "<string>",
    "location_code": 123,
    "language_name": "<string>",
    "language_code": "<string>",
    "force_web_search": True,
    "tag": "<string>"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    keyword: '<string>',
    location_name: '<string>',
    location_code: 123,
    language_name: '<string>',
    language_code: '<string>',
    force_web_search: true,
    tag: '<string>'
  })
};

fetch('https://api.aisa.one/apis/v1/dataforseo/ai_optimization/chat_gpt/llm_scraper/live/advanced', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "version": "<string>",
  "status_code": 123,
  "status_message": "<string>",
  "time": "<string>",
  "cost": 123,
  "tasks_count": 123,
  "tasks_error": 123,
  "tasks": [
    "<string>"
  ],
  "tasks.id": "<string>",
  "tasks.status_code": 123,
  "tasks.status_message": "<string>",
  "tasks.time": "<string>",
  "tasks.cost": 123,
  "tasks.result_count": 123,
  "tasks.path": [
    "<string>"
  ],
  "tasks.data": {},
  "tasks.result": [
    "<string>"
  ],
  "tasks.result.keyword": "<string>",
  "tasks.result.location_code": 123,
  "tasks.result.language_code": "<string>",
  "tasks.result.model": "<string>",
  "tasks.result.check_url": "<string>",
  "tasks.result.datetime": "<string>",
  "tasks.result.markdown": "<string>",
  "tasks.result.search_results": [
    "<string>"
  ],
  "tasks.result.search_results.type": "<string>",
  "tasks.result.search_results.url": "<string>",
  "tasks.result.search_results.domain": "<string>",
  "tasks.result.search_results.title": "<string>",
  "tasks.result.search_results.description": "<string>",
  "tasks.result.search_results.breadcrumb": "<string>",
  "tasks.result.sources": [
    "<string>"
  ],
  "tasks.result.sources.type": "<string>",
  "tasks.result.sources.title": "<string>",
  "tasks.result.sources.snippet": "<string>",
  "tasks.result.sources.domain": "<string>",
  "tasks.result.sources.url": "<string>",
  "tasks.result.sources.thumbnail": "<string>",
  "tasks.result.sources.source_name": "<string>",
  "tasks.result.sources.publication_date": "<string>",
  "tasks.result.sources.markdown": "<string>",
  "tasks.result.fan_out_queries": [
    "<string>"
  ],
  "tasks.result.brand_entities": [
    "<string>"
  ],
  "tasks.result.brand_entities.type": "<string>",
  "tasks.result.brand_entities.title": "<string>",
  "tasks.result.brand_entities.category": "<string>",
  "tasks.result.brand_entities.markdown": "<string>",
  "tasks.result.brand_entities.urls": [
    "<string>"
  ],
  "tasks.result.brand_entities.urls.url": "<string>",
  "tasks.result.brand_entities.urls.domain": "<string>",
  "tasks.result.se_results_count": 123,
  "tasks.result.item_types": [
    "<string>"
  ],
  "tasks.result.items_count": 123,
  "tasks.result.items": [
    "<string>"
  ],
  "tasks.result.items.chat_gpt_text": {},
  "tasks.result.items.chat_gpt_text.type": "<string>",
  "tasks.result.items.chat_gpt_text.rank_group": 123,
  "tasks.result.items.chat_gpt_text.rank_absolute": 123,
  "tasks.result.items.chat_gpt_text.markdown": "<string>",
  "tasks.result.items.chat_gpt_text.sources": [
    "<string>"
  ],
  "tasks.result.items.chat_gpt_text.sources.type": "<string>",
  "tasks.result.items.chat_gpt_text.sources.title": "<string>",
  "tasks.result.items.chat_gpt_text.sources.snippet": "<string>",
  "tasks.result.items.chat_gpt_text.sources.domain": "<string>",
  "tasks.result.items.chat_gpt_text.sources.url": "<string>",
  "tasks.result.items.chat_gpt_text.sources.thumbnail": "<string>",
  "tasks.result.items.chat_gpt_text.sources.source_name": "<string>",
  "tasks.result.items.chat_gpt_text.sources.publication_date": "<string>",
  "tasks.result.items.chat_gpt_text.sources.markdown": "<string>",
  "tasks.result.items.chat_gpt_text.brand_entities": [
    "<string>"
  ],
  "tasks.result.items.chat_gpt_text.brand_entities.type": "<string>",
  "tasks.result.items.chat_gpt_text.brand_entities.title": "<string>",
  "tasks.result.items.chat_gpt_text.brand_entities.category": "<string>",
  "tasks.result.items.chat_gpt_text.brand_entities.markdown": "<string>",
  "tasks.result.items.chat_gpt_text.brand_entities.urls": [
    "<string>"
  ],
  "tasks.result.items.chat_gpt_text.brand_entities.urls.url": "<string>",
  "tasks.result.items.chat_gpt_text.brand_entities.urls.domain": "<string>",
  "tasks.result.items.chat_gpt_table": {},
  "tasks.result.items.chat_gpt_table.type": "<string>",
  "tasks.result.items.chat_gpt_table.rank_group": 123,
  "tasks.result.items.chat_gpt_table.rank_absolute": 123,
  "tasks.result.items.chat_gpt_table.text": "<string>",
  "tasks.result.items.chat_gpt_table.markdown": "<string>",
  "tasks.result.items.chat_gpt_table.table": {},
  "tasks.result.items.chat_gpt_table.table.table_header": [
    "<string>"
  ],
  "tasks.result.items.chat_gpt_table.table.table_content": [
    "<string>"
  ],
  "tasks.result.items.chat_gpt_table.brand_entities": [
    "<string>"
  ],
  "tasks.result.items.chat_gpt_table.brand_entities.type": "<string>",
  "tasks.result.items.chat_gpt_table.brand_entities.title": "<string>",
  "tasks.result.items.chat_gpt_table.brand_entities.category": "<string>",
  "tasks.result.items.chat_gpt_table.brand_entities.markdown": "<string>",
  "tasks.result.items.chat_gpt_table.brand_entities.urls": [
    "<string>"
  ],
  "tasks.result.items.chat_gpt_table.brand_entities.urls.url": "<string>",
  "tasks.result.items.chat_gpt_table.brand_entities.urls.domain": "<string>",
  "tasks.result.items.chat_gpt_navigation_list": {},
  "tasks.result.items.chat_gpt_navigation_list.type": "<string>",
  "tasks.result.items.chat_gpt_navigation_list.rank_group": 123,
  "tasks.result.items.chat_gpt_navigation_list.rank_absolute": 123,
  "tasks.result.items.chat_gpt_navigation_list.title": "<string>",
  "tasks.result.items.chat_gpt_navigation_list.sources": [
    "<string>"
  ],
  "tasks.result.items.chat_gpt_navigation_list.sources.type": "<string>",
  "tasks.result.items.chat_gpt_navigation_list.sources.title": "<string>",
  "tasks.result.items.chat_gpt_navigation_list.sources.snippet": "<string>",
  "tasks.result.items.chat_gpt_navigation_list.sources.domain": "<string>",
  "tasks.result.items.chat_gpt_navigation_list.sources.url": "<string>",
  "tasks.result.items.chat_gpt_navigation_list.sources.thumbnail": "<string>",
  "tasks.result.items.chat_gpt_navigation_list.sources.source_name": "<string>",
  "tasks.result.items.chat_gpt_navigation_list.sources.publication_date": "<string>",
  "tasks.result.items.chat_gpt_navigation_list.sources.markdown": "<string>",
  "tasks.result.items.chat_gpt_images": {},
  "tasks.result.items.chat_gpt_images.type": "<string>",
  "tasks.result.items.chat_gpt_images.rank_group": 123,
  "tasks.result.items.chat_gpt_images.rank_absolute": 123,
  "tasks.result.items.chat_gpt_images.markdown": "<string>",
  "tasks.result.items.chat_gpt_images.items": [
    "<string>"
  ],
  "tasks.result.items.chat_gpt_images.items.type": "<string>",
  "tasks.result.items.chat_gpt_images.items.alt": "<string>",
  "tasks.result.items.chat_gpt_images.items.url": "<string>",
  "tasks.result.items.chat_gpt_images.items.image_url": "<string>",
  "tasks.result.items.chat_gpt_images.items.markdown": "<string>",
  "tasks.result.items.chat_gpt_local_businesses": {},
  "tasks.result.items.chat_gpt_local_businesses.type": "<string>",
  "tasks.result.items.chat_gpt_local_businesses.rank_group": 123,
  "tasks.result.items.chat_gpt_local_businesses.rank_absolute": 123,
  "tasks.result.items.chat_gpt_local_businesses.markdown": "<string>",
  "tasks.result.items.chat_gpt_local_businesses.items": [
    "<string>"
  ],
  "tasks.result.items.chat_gpt_local_businesses.items.type": "<string>",
  "tasks.result.items.chat_gpt_local_businesses.items.title": "<string>",
  "tasks.result.items.chat_gpt_local_businesses.items.description": "<string>",
  "tasks.result.items.chat_gpt_local_businesses.items.address": "<string>",
  "tasks.result.items.chat_gpt_local_businesses.items.phone": "<string>",
  "tasks.result.items.chat_gpt_local_businesses.items.reviews_count": 123,
  "tasks.result.items.chat_gpt_local_businesses.items.url": "<string>",
  "tasks.result.items.chat_gpt_local_businesses.items.domain": "<string>",
  "tasks.result.items.chat_gpt_local_businesses.items.rating": {},
  "tasks.result.items.chat_gpt_local_businesses.items.rating.rating_type": "<string>",
  "tasks.result.items.chat_gpt_local_businesses.items.rating.value": 123,
  "tasks.result.items.chat_gpt_local_businesses.items.rating.votes_count": 123,
  "tasks.result.items.chat_gpt_local_businesses.items.rating.rating_max": 123,
  "tasks.result.items.chat_gpt_products": {},
  "tasks.result.items.chat_gpt_products.type": "<string>",
  "tasks.result.items.chat_gpt_products.rank_group": 123,
  "tasks.result.items.chat_gpt_products.rank_absolute": 123,
  "tasks.result.items.chat_gpt_products.items": [
    "<string>"
  ],
  "tasks.result.items.chat_gpt_products.items.type": "<string>",
  "tasks.result.items.chat_gpt_products.items.product_id": "<string>",
  "tasks.result.items.chat_gpt_products.items.merchants": "<string>",
  "tasks.result.items.chat_gpt_products.items.id_to_token_map": "<string>",
  "tasks.result.items.chat_gpt_products.items.title": "<string>",
  "tasks.result.items.chat_gpt_products.items.rating": {},
  "tasks.result.items.chat_gpt_products.items.rating.rating_type": "<string>",
  "tasks.result.items.chat_gpt_products.items.rating.value": 123,
  "tasks.result.items.chat_gpt_products.items.rating.votes_count": 123,
  "tasks.result.items.chat_gpt_products.items.rating.rating_max": 123,
  "tasks.result.items.chat_gpt_products.items.price": 123,
  "tasks.result.items.chat_gpt_products.items.currency": "<string>",
  "tasks.result.items.chat_gpt_products.items.tag": "<string>",
  "tasks.result.items.chat_gpt_products.items.url": "<string>",
  "tasks.result.items.chat_gpt_products.items.domain": "<string>",
  "tasks.result.items.chat_gpt_products.items.images": [
    "<string>"
  ],
  "tasks.result.items.chat_gpt_products.items.product_ids": [
    "<string>"
  ],
  "tasks.result.items.chat_gpt_products.items.product_ids.type": "<string>",
  "tasks.result.items.chat_gpt_products.items.product_ids.ei": "<string>",
  "tasks.result.items.chat_gpt_products.items.product_ids.product_id": "<string>",
  "tasks.result.items.chat_gpt_products.items.product_ids.catalog_id": "<string>",
  "tasks.result.items.chat_gpt_products.items.product_ids.gpcid": "<string>",
  "tasks.result.items.chat_gpt_products.items.product_ids.headline_offer_docid": "<string>",
  "tasks.result.items.chat_gpt_products.items.product_ids.image_docid": "<string>",
  "tasks.result.items.chat_gpt_products.items.product_ids.rds": "<string>",
  "tasks.result.items.chat_gpt_products.items.product_ids.query": "<string>",
  "tasks.result.items.chat_gpt_products.items.product_ids.mid": "<string>",
  "tasks.result.items.chat_gpt_products.items.product_ids.pvt": "<string>",
  "tasks.result.items.chat_gpt_products.items.product_ids.uule": "<string>",
  "tasks.result.items.chat_gpt_products.items.product_ids.gl": "<string>",
  "tasks.result.items.chat_gpt_products.items.product_ids.hl": "<string>"
}

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

请求体

application/json
keyword
string
必填

keyword 必填字段。您可以在 keyword 字段中指定最多 2000 个字符。所有 %## 都将被解码(加号字符“+”将被解码为空格字符)。如果需要在关键词中使用“%”字符,请将其指定为“%25”;如果需要在关键词中使用“+”字符,请将其指定为“%2B”。有关 DataForSEO API 中 keyword 和 keywords 字段的规则与限制的更多信息,请参阅此帮助中心文章

location_name
string
必填

搜索引擎位置的完整名称。如果未指定 location_code,则为必填字段。如果使用此字段,则无需指定 location_code。您可以通过向 https://api.dataforseo.com/v3/ai_optimization/chat_gpt/llm_scraper/locations 单独发送请求,获取包含 location_name 的搜索引擎可用位置列表。示例:United States

location_code
integer
必填

搜索引擎位置代码;如果未指定 location_name,则为必填字段;如果使用此字段,则无需指定 location_name;您可以通过向 https://api.dataforseo.com/v3/ai_optimization/chat_gpt/llm_scraper/locations 单独发出请求,获取搜索引擎可用位置及其 location_code 的列表;示例:2840

language_name
string
必填

搜索引擎语言的完整名称。如果未指定 language_code,则为必填字段;如果使用此字段,则无需指定 language_code;您可以通过向 https://api.dataforseo.com/v3/ai_optimization/chat_gpt/llm_scraper/languages 单独发出请求,获取包含 language_name 的搜索引擎可用语言列表。

language_code
string
必填

搜索引擎语言代码。如果未指定 language_name,则为必填字段;如果使用此字段,则无需指定 language_name;您可以通过向 https://api.dataforseo.com/v3/ai_optimization/chat_gpt/llm_scraper/languages 单独发出请求,获取包含 language_code 的搜索引擎可用语言列表。

强制 AI 智能体使用网页搜索 可选字段 启用后,将强制 AI 模型访问并引用当前网页信息;默认值:false;注意:即使将该参数设置为 true,也不能保证响应中会引用网页来源

tag
string

用户定义的任务标识符。可选字段。字符数限制为 255。您可以使用此参数标识任务并将其与结果匹配;您将在响应的 data 对象中找到指定的 tag 值

响应

成功响应

version
string

API 的当前版本

status_code
integer

通用状态码;您可以在此处查看完整的响应码列表。注意:我们强烈建议设计必要的系统来处理相关异常或错误情况

status_message
string

常规信息消息;可在此处查看常规信息消息的完整列表

time
string

执行时间(秒)

cost
number

任务总成本(美元)

tasks_count
integer

tasks 数组中的任务数量

tasks_error
integer

返回错误的 tasks 数组中的任务数量

tasks
string[]

任务数组

tasks.id
string

任务标识符,系统中采用 UUID 格式的唯一任务标识符

tasks.status_code
integer

DataForSEO 生成的任务状态码;范围为:10000-60000;完整响应代码列表可在此处查看

tasks.status_message
string

任务的信息性消息,你可以在此处查看通用信息性消息的完整列表

tasks.time
string

执行时间(秒)

tasks.cost
number

任务成本(美元)

tasks.result_count
integer

结果数组中的元素数量

tasks.path
string[]

URL 路径

tasks.data
object

包含您在 POST 请求中指定的相同参数

tasks.result
string[]

结果数组

tasks.result.keyword
string

通过 POST 数组接收的 keyword;返回时会解码 %##(加号“+”将被解码为空格字符)

tasks.result.location_code
integer

POST 数组中的位置代码

tasks.result.language_code
string

POST 数组中的语言代码

tasks.result.model
string

指示模型版本

tasks.result.check_url
string

搜索引擎结果的直接 URL,可用于确认我们提供的结果准确无误

tasks.result.datetime
string

以 UTC 格式接收结果的日期和时间:“yyyy-mm-dd hh-mm-ss +00:00”,示例:2019-11-15 12:57:46 +00:00

tasks.result.markdown
string

Markdown 格式的元素内容,即使用 Markdown 标记语言格式化的结果内容

tasks.result.search_results
string[]

搜索结果数组,包含模型在查找信息时检索到的所有网页搜索输出,包括重复项和未使用的条目

tasks.result.search_results.type
string

element='chatgpt_search_result' 的类型n

tasks.result.search_results.url
string

结果 URL

tasks.result.search_results.domain
string

结果域名

tasks.result.search_results.title
string

结果标题

tasks.result.search_results.description
string

结果描述

tasks.result.search_results.breadcrumb
string

面包屑导航

tasks.result.sources
string[]

来源数组 模型在最终答案中实际引用或依据的来源

tasks.result.sources.type
string

元素类型='chat_gpt_source'

tasks.result.sources.title
string

来源标题

tasks.result.sources.snippet
string

来源描述

tasks.result.sources.domain
string

来源域名

tasks.result.sources.url
string

来源 URL

tasks.result.sources.thumbnail
string

来源缩略图

tasks.result.sources.source_name
string

来源名称

tasks.result.sources.publication_date
string

结果发布日期和时间,格式为:“年-月-日 时:分:秒 UTC_时差小时数:UTC_时差分钟数”,示例:2019-11-15 12:57:46 +00:00

tasks.result.sources.markdown
string

Markdown 格式的元素内容,即使用 Markdown 标记语言格式化的结果内容

tasks.result.fan_out_queries
string[]

扩展查询数组,包含从主查询派生的相关搜索查询,以提供更全面的响应

tasks.result.brand_entities
string[]

品牌实体数组,包含响应中提及的品牌信息

tasks.result.brand_entities.type
string

元素类型 = 'chat_gpt_brand_entity'

tasks.result.brand_entities.title
string

品牌名称

tasks.result.brand_entities.category
string

品牌类别

tasks.result.brand_entities.markdown
string

Markdown 格式的品牌名称,包含使用 Markdown 标记语言格式化的品牌名称

tasks.result.brand_entities.urls
string[]

与品牌相关的 URL 和域名数组

tasks.result.brand_entities.urls.url
string

URL

tasks.result.brand_entities.urls.domain
string

域名

tasks.result.se_results_count
integer

结果总数

tasks.result.item_types
string[]

搜索结果类型;包含 SERP 中找到的搜索结果(项目)类型。可能的项目类型:chat_gpt_text、chat_gpt_table、chat_gpt_navigation_list、chat_gpt_images、chat_gpt_local_businesses、chat_gpt_products

tasks.result.items_count
integer

items 数组中返回的结果数量

tasks.result.items
string[]

ChatGPT 结果元素

tasks.result.items.chat_gpt_text
object

响应中的元素

tasks.result.items.chat_gpt_text.type
string

元素类型='chat_gpt_text'

tasks.result.items.chat_gpt_text.rank_group
integer

SERP 中的组内排名,即在 type 值相同的一组元素中的位置;type 值不同的元素位置不会计入 rank_group

tasks.result.items.chat_gpt_text.rank_absolute
integer

SERP 中的绝对排名,即该元素在 SERP 所有元素中的绝对位置

tasks.result.items.chat_gpt_text.markdown
string

Markdown 格式的元素内容,即使用 Markdown 标记语言格式化的结果内容

tasks.result.items.chat_gpt_text.sources
string[]

来源数组

tasks.result.items.chat_gpt_text.sources.type
string

element='chat_gpt_source'n 的类型

tasks.result.items.chat_gpt_text.sources.title
string

来源标题

tasks.result.items.chat_gpt_text.sources.snippet
string

来源描述

tasks.result.items.chat_gpt_text.sources.domain
string

SERP 中的来源域名

tasks.result.items.chat_gpt_text.sources.url
string

来源 URL

tasks.result.items.chat_gpt_text.sources.thumbnail
string

来源缩略图

tasks.result.items.chat_gpt_text.sources.source_name
string

来源名称

tasks.result.items.chat_gpt_text.sources.publication_date
string

结果发布日期和时间,格式为:“年-月-日 时:分:秒 UTC_时差小时数:UTC_时差分钟数”,示例:2019-11-15 12:57:46 +00:00

tasks.result.items.chat_gpt_text.sources.markdown
string

Markdown 格式的元素内容,即使用 Markdown 标记语言格式化的结果内容

tasks.result.items.chat_gpt_text.brand_entities
string[]

品牌实体数组,包含文本中提及的品牌信息

tasks.result.items.chat_gpt_text.brand_entities.type
string

元素类型 = 'chat_gpt_brand_entity'

tasks.result.items.chat_gpt_text.brand_entities.title
string

品牌名称

tasks.result.items.chat_gpt_text.brand_entities.category
string

品牌类别

tasks.result.items.chat_gpt_text.brand_entities.markdown
string

Markdown 格式的品牌名称,包含使用 Markdown 标记语言格式化的品牌名称

tasks.result.items.chat_gpt_text.brand_entities.urls
string[]

与品牌相关的 URL 和域名数组

tasks.result.items.chat_gpt_text.brand_entities.urls.url
string

URL

tasks.result.items.chat_gpt_text.brand_entities.urls.domain
string

域名

tasks.result.items.chat_gpt_table
object

响应中的元素

tasks.result.items.chat_gpt_table.type
string

元素类型='chat_gpt_table'

tasks.result.items.chat_gpt_table.rank_group
integer

SERP 中的组内排名,即在 type 值相同的一组元素中的位置;type 值不同的元素位置不会计入 rank_group

tasks.result.items.chat_gpt_table.rank_absolute
integer

SERP 中的绝对排名,即该元素在 SERP 所有元素中的绝对位置

tasks.result.items.chat_gpt_table.text
string

元素文本

tasks.result.items.chat_gpt_table.markdown
string

Markdown 格式的元素内容,即使用 Markdown 标记语言格式化的结果内容

tasks.result.items.chat_gpt_table.table
object

元素中的表格,包括元素中表格的表头和内容

tasks.result.items.chat_gpt_table.table.table_header
string[]

表格标题中的内容

tasks.result.items.chat_gpt_table.table.table_content
string[]

元素中表格内容的数组,每个数组代表一个表格行

tasks.result.items.chat_gpt_table.brand_entities
string[]

品牌实体数组,包含表格中提及的品牌信息

tasks.result.items.chat_gpt_table.brand_entities.type
string

元素类型 = 'chat_gpt_brand_entity'

tasks.result.items.chat_gpt_table.brand_entities.title
string

品牌名称

tasks.result.items.chat_gpt_table.brand_entities.category
string

品牌类别

tasks.result.items.chat_gpt_table.brand_entities.markdown
string

Markdown 格式的品牌名称,包含使用 Markdown 标记语言格式化的品牌名称

tasks.result.items.chat_gpt_table.brand_entities.urls
string[]

与品牌相关的 URL 和域名数组

tasks.result.items.chat_gpt_table.brand_entities.urls.url
string

URL

tasks.result.items.chat_gpt_table.brand_entities.urls.domain
string

域名

tasks.result.items.chat_gpt_navigation_list
object

响应中的元素

tasks.result.items.chat_gpt_navigation_list.type
string

元素类型='chat_gpt_navigation_list'

tasks.result.items.chat_gpt_navigation_list.rank_group
integer

SERP 中的组内排名,即在 type 值相同的一组元素中的位置;type 值不同的元素位置不会计入 rank_group

tasks.result.items.chat_gpt_navigation_list.rank_absolute
integer

SERP 中的绝对排名,即该元素在 SERP 所有元素中的绝对位置

tasks.result.items.chat_gpt_navigation_list.title
string

元素标题

tasks.result.items.chat_gpt_navigation_list.sources
string[]

来源数组

tasks.result.items.chat_gpt_navigation_list.sources.type
string

元素类型='chat_gpt_source'

tasks.result.items.chat_gpt_navigation_list.sources.title
string

来源标题

tasks.result.items.chat_gpt_navigation_list.sources.snippet
string

来源描述

tasks.result.items.chat_gpt_navigation_list.sources.domain
string

SERP 中的来源域名

tasks.result.items.chat_gpt_navigation_list.sources.url
string

来源 URL

tasks.result.items.chat_gpt_navigation_list.sources.thumbnail
string

来源缩略图

tasks.result.items.chat_gpt_navigation_list.sources.source_name
string

来源名称

tasks.result.items.chat_gpt_navigation_list.sources.publication_date
string

结果发布日期和时间,格式为:“年-月-日 时:分:秒 UTC_时差小时数:UTC_时差分钟数”,示例:2019-11-15 12:57:46 +00:00

tasks.result.items.chat_gpt_navigation_list.sources.markdown
string

Markdown 格式的元素内容,即使用 Markdown 标记语言格式化的结果内容

tasks.result.items.chat_gpt_images
object

响应中的元素

tasks.result.items.chat_gpt_images.type
string

元素类型='chat_gpt_images'

tasks.result.items.chat_gpt_images.rank_group
integer

SERP 中的组内排名,即在 type 值相同的一组元素中的位置;type 值不同的元素位置不会计入 rank_group

tasks.result.items.chat_gpt_images.rank_absolute
integer

SERP 中的绝对排名,即该元素在 SERP 所有元素中的绝对位置

tasks.result.items.chat_gpt_images.markdown
string

Markdown 格式的元素内容,即使用 Markdown 标记语言格式化的结果内容

tasks.result.items.chat_gpt_images.items
string[]

元素中的项目

tasks.result.items.chat_gpt_images.items.type
string

元素类型 = 'chat_gpt_images_element'

tasks.result.items.chat_gpt_images.items.alt
string

图片的 alt 标签

tasks.result.items.chat_gpt_images.items.url
string

相关 URL

tasks.result.items.chat_gpt_images.items.image_url
string

图片的 URL;该 URL 指向原始资源或 DataForSEO 存储中的图片(当原始来源不可用时)

tasks.result.items.chat_gpt_images.items.markdown
string

Markdown 格式的元素内容,即使用 Markdown 标记语言格式化的结果内容

tasks.result.items.chat_gpt_local_businesses
object

响应中的元素

tasks.result.items.chat_gpt_local_businesses.type
string

元素类型='chat_gpt_local_businesses'

tasks.result.items.chat_gpt_local_businesses.rank_group
integer

SERP 中的组内排名,即在 type 值相同的一组元素中的位置;type 值不同的元素位置不会计入 rank_group

tasks.result.items.chat_gpt_local_businesses.rank_absolute
integer

SERP 中的绝对排名,即该元素在 SERP 所有元素中的绝对位置

tasks.result.items.chat_gpt_local_businesses.markdown
string

Markdown 格式的元素内容,即使用 Markdown 标记语言格式化的结果内容

tasks.result.items.chat_gpt_local_businesses.items
string[]

元素中的项目

tasks.result.items.chat_gpt_local_businesses.items.type
string

元素类型 = 'chat_gpt_local_businesses_element'

tasks.result.items.chat_gpt_local_businesses.items.title
string

本地商家的标题

tasks.result.items.chat_gpt_local_businesses.items.description
string

本地商家的描述

tasks.result.items.chat_gpt_local_businesses.items.address
string

本地商家的地址

tasks.result.items.chat_gpt_local_businesses.items.phone
string

本地商家的电话号码

tasks.result.items.chat_gpt_local_businesses.items.reviews_count
integer

为该本地商家提交的评论总数

tasks.result.items.chat_gpt_local_businesses.items.url
string

本地商家的网站 URL

tasks.result.items.chat_gpt_local_businesses.items.domain
string

本地商家的域名

tasks.result.items.chat_gpt_local_businesses.items.rating
object

对应本地商家的热门度评分,基于评论计算并显示在 SERP 中

tasks.result.items.chat_gpt_local_businesses.items.rating.rating_type
string

评分类型,可包含以下值:Max5、Percents、CustomMax

tasks.result.items.chat_gpt_local_businesses.items.rating.value
number

基于所有评论计算的平均评分

tasks.result.items.chat_gpt_local_businesses.items.rating.votes_count
integer

投票数

tasks.result.items.chat_gpt_local_businesses.items.rating.rating_max
integer

rating_type 的最大值

tasks.result.items.chat_gpt_products
object

响应中的元素

tasks.result.items.chat_gpt_products.type
string

element='chat_gpt_products' 的类型

tasks.result.items.chat_gpt_products.rank_group
integer

SERP 中的组内排名,即在 type 值相同的一组元素中的位置;type 值不同的元素位置不会计入 rank_group

tasks.result.items.chat_gpt_products.rank_absolute
integer

SERP 中的绝对排名,即该元素在 SERP 所有元素中的绝对位置

tasks.result.items.chat_gpt_products.items
string[]

元素中的项目

tasks.result.items.chat_gpt_products.items.type
string

元素类型 = 'chat_gpt_products_element'

tasks.result.items.chat_gpt_products.items.product_id
string

产品 ID

tasks.result.items.chat_gpt_products.items.merchants
string

提供该产品的商家

tasks.result.items.chat_gpt_products.items.id_to_token_map
string

产品标识符 token,经过 Base64 编码的 token,其中包含与该产品关联的 Google Shopping 产品 ID

tasks.result.items.chat_gpt_products.items.title
string

产品标题

tasks.result.items.chat_gpt_products.items.rating
object

基于评论得出的产品受欢迎程度评分,显示在 SERP 中

tasks.result.items.chat_gpt_products.items.rating.rating_type
string

评分类型,可包含以下值:Max5、Percents、CustomMax

tasks.result.items.chat_gpt_products.items.rating.value
number

基于所有评论计算的平均评分

tasks.result.items.chat_gpt_products.items.rating.votes_count
integer

投票数

tasks.result.items.chat_gpt_products.items.rating.rating_max
integer

rating_type 的最大值

tasks.result.items.chat_gpt_products.items.price
number

产品价格

tasks.result.items.chat_gpt_products.items.currency
string

所列价格的货币,即应用于该价格的货币 ISO 代码

tasks.result.items.chat_gpt_products.items.tag
string

标签文本

tasks.result.items.chat_gpt_products.items.url
string

结果 URL

tasks.result.items.chat_gpt_products.items.domain
string

SERP 中的结果域名

tasks.result.items.chat_gpt_products.items.images
string[]

元素的图像 URL,包含指向原始资源中图像的 URL;如果原始来源不可用,则指向 DataForSEO 存储中的图像

tasks.result.items.chat_gpt_products.items.product_ids
string[]

Google Shopping 产品标识符数组,包含与该产品关联的 Google Shopping 产品 ID

tasks.result.items.chat_gpt_products.items.product_ids.type
string

元素类型 = 'chat_gpt_google_shopping_product'

tasks.result.items.chat_gpt_products.items.product_ids.ei
string

事件标识符,Google 使用的内部事件标识符

tasks.result.items.chat_gpt_products.items.product_ids.product_id
string

产品标识符,可在 Google Shopping API 端点中用作 data_docid

tasks.result.items.chat_gpt_products.items.product_ids.catalog_id
string

产品的 Google Shopping 目录标识符,可在 Google Shopping API 端点中用作 product_id

tasks.result.items.chat_gpt_products.items.product_ids.gpcid
string

Google 产品集群标识符,可在 Google Shopping API 端点中用作 gid

tasks.result.items.chat_gpt_products.items.product_ids.headline_offer_docid
string

标题中主优惠的文档标识符,可在 Google Shopping API 端点中用作 data_docid

tasks.result.items.chat_gpt_products.items.product_ids.image_docid
string

所展示产品图片的标识符

tasks.result.items.chat_gpt_products.items.product_ids.rds
string

资源描述符字符串;用于在 Google 的 Shopping 索引中标识产品的 Google 内部资源描述符字符串

tasks.result.items.chat_gpt_products.items.product_ids.query
string

搜索查询;ChatGPT 用于从 Google Shopping 检索产品的搜索查询

tasks.result.items.chat_gpt_products.items.product_ids.mid
string

商家标识符 Google Shopping 中卖家或商家账户的标识符

tasks.result.items.chat_gpt_products.items.product_ids.pvt
string

商品视图类型:Google 内部参数,用于指定渲染商品项时使用的商品视图类型

tasks.result.items.chat_gpt_products.items.product_ids.uule
string

编码后的位置参数,用于指定搜索位置

tasks.result.items.chat_gpt_products.items.product_ids.gl
string

国家/地区代码,指示显示哪个位置的搜索结果

tasks.result.items.chat_gpt_products.items.product_ids.hl
string

主机语言代码,表示搜索结果的显示语言